Name:           epel-aliyuncs-release
Version:        8
Release:        15%{dist}
Summary:        Extra Packages for Enterprise Linux repository configuration

License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel
Source0:        http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-8
Source1:        GPL
Source2:        README-epel-8-packaging.md
# EPEL default preset policy (borrowed from fedora's 90-default.preset)
Source3:        90-epel.preset


Source100:      epel.repo
Source101:      epel-testing.repo
Source102:      epel-next.repo
Source103:      epel-next-testing.repo
Source105:      epel-modular.repo
Source106:      epel-testing-modular.repo

BuildArch:     noarch
Requires:      redhat-release >=  %{version}
# epel-release is only for enterprise linux, not fedora
Conflicts:     fedora-release
Recommends:    (epel-next-release if centos-stream-release)

Conflicts:     epel-release
Provides:      epel-release

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) repository
GPG key as well as configuration for yum.


%package -n epel-aliyuncs-next-release
Summary:        Extra Packages for Enterprise Linux Next repository configuration
Requires:       %{name} = %{version}-%{release}


%description -n epel-aliyuncs-next-release
This package contains the Extra Packages for Enterprise Linux (EPEL) Next
configuration for yum.


%prep
%setup -q  -c -T
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .


%install
#GPG Key
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-%{version}

# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE105} %{SOURCE106} \
    %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 -D %{SOURCE3} %{buildroot}%{_prefix}/lib/systemd/system-preset/90-epel.preset


%files
%doc README-epel-8-packaging.md
%license GPL
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-testing.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-modular.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-testing-modular.repo
%{_sysconfdir}/pki/rpm-gpg/*
%{_prefix}/lib/systemd/system-preset/90-epel.preset


%files -n epel-aliyuncs-next-release
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-next.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-next-testing.repo


%changelog
* Fri Apr 22 2022 Liwei Ge <geliwei@openanolis.org> - 8-15
- Init version from epel-release-8-15
